import API from "@/services/imapAPI";
import { createStore } from "vuex";

const roomsStore = createStore({
  state() {
    return {
      rooms: [
        {
          users: "clemnce",
          object:
            "Lorem magna minim cillum labore ex eiusmod proident excepteur sint irure ipsum.",
          mailbox: 1,
        },
        {
          users: "juliette",
          object:
            "Lorem magna minim cillum labore ex eiusmod proident excepteur sint irure ipsum.",
          mailbox: 1,
        },
        {
          users: "jean",
          object:
            "Lorem magna minim cillum labore ex eiusmod proident excepteur sint irure ipsum.",
          mailbox: 2,
        },
        {
          users: "luc",
          object:
            "Lorem magna minim cillum labore ex eiusmod proident excepteur sint irure ipsum.",
          mailbox: 2,
        },
      ],
      mailboxes: [],
      activeMailbox: -1
    };
  },
  mutations: {
    setActiveMailbox(state, payload) {
        state.activeMailbox = payload;
    },
    addMailboxes(state, payload) {
      payload.forEach(mailbox => {
        state.mailboxes.push(mailbox);
      });
    }
  },
  getters: {
    rooms: (state) => () => {
        if (state.activeMailbox == 0) return state.rooms;
        return state.rooms.filter(room => room.mailbox == state.activeMailbox);
    }
  },
  actions: {
    async addMailboxes(context) {
      console.log("add mailboxes")
      API.getMailboxes().then((res) => {
        console.log(res.data)
        context.commit("addMailboxes", res.data);
      }).catch((err) => {
        console.log(err)
      });
    }
  }
});

export default roomsStore;
